/*******************************************************************/
/*
  COPYRIGHT: (c) 1992@2000 by SP&AR&C HOLLAND by GNU Public Licence
  FILE : ascicrea.c
  DESCRIPTION : generates a table of ASCII code to be sorted by SORT
  PROJECT : SSORT
  AUTHOR : A vd Horst
  LANGUAGE : Turbo C++ (3.0)
  CREATED : 920912 AH
  LAST CHANGE : 950206 AH total clean up, configuration
  LAST CHANGE : 921111 AH comment clean up
  LAST CHANGE :
                                                                   */
/*******************************************************************/

/*****************************************************************************/
/*                                                                           */
/*   This program generates a file that help LEXCREA to generate a table.    */
/*   The file generated should have the following properties:                */
/*   All relevant characters are present. At most 256 entries. After being   */
/*   piped through SORT it should still have the relevant characters in the  */
/*   first position of the line.                                             */
/*   This programs generates a file with all those characters, and SORT      */
/*   and LEXCREA are used to create the table.                               */
/*   Hence all characters are placed on a separate line.                     */
/*                                                                           */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#define EOF '\x1a'   // ^Z : Messy DOS's idea of end of file

void main()
{
   int i;
   for (i=0;i<256;i++)
   {
      // Some characters should not be in the table
      if ( i!='\n' && i!='\r' && i!=EOF && i!=0 )
      {
         putchar(i);
         putchar('\n');
      }
   }
   exit(0);
}
