/*******************************************************************/
/*
  COPYRIGHT: (c) 1992@2000 by SP&AR&C HOLLAND by GNU Public Licence 
  FILE : sstring.cpp
  DESCRIPTION : sorted string class (implementation)
  PROJECT : SSORT
  AUTHOR : A vd Horst
  LANGUAGE : Turbo C++ (3.0)
  AUTOR : A vd Horst
  LANGUAGE : Turbo C++ (2.0)
  CREATED : 920906 AH
  LAST CHANGE : 950206 AH total clean up, configuration
  LAST CHANGE : 950120 Pointer to fields
  LAST CHANGE : 921106 AH Introduced CHAR typedef
  LAST CHANGE : 920923 added << operator for streams
  LAST CHANGE :
                                                                   */
/*******************************************************************/


#include <fstream.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include "config.h"
#include "search.h"
#include "sstring.h"
#include "scompare.h"


// The following cannot be made inline for the following reason:
// The implementation module of ``operator<'' requires an
// include of "comparators.h", which in turn requires "sstring.h"
// So ``operator<'' cannot be placed in "sstring.h"
// If it is made inline here Turbo 3.0 does not find it.
bool SortString::operator< ( SortString ss2  )
{
   return comparators::stringcompare( this, &ss2 ) < 0;
}

SortString::SortString( CHAR *isstart, int *isplen )
{
   start = isstart;
   plen = isplen;
};





