/*******************************************************************/
/*
  COPYRIGHT: (c) 1994@2000 by SP&AR&C HOLLAND by GNU Public Licence 
  FILE : ssortlib.h
  DESCRIPTION : general purpose routines
  PROJECT : SSORT
  AUTHOR : A vd Horst
  LANGUAGE : Turbo C++ (3.0)
  CREATED : 941102 AH
  LAST CHANGE : 950206 AH total clean up, configuration
  LAST CHANGE : 941104 AH A class with general purpose routines
  LAST CHANGE : 941102 AH Made a class
                                                                   */
/*******************************************************************/

// requires #include "loctypes.h"

/*****************************************************************************/
/*                                                                           */
/*  The sole purpose of ``Ssortlib'' is to group subroutines that have no    */
/*  relation to each other except that they are general purpose.             */
/*  No static data of any kind is involved.                                  */
/*  1. MSDOSweight                                                           */
/*  2. escapedchar                                                           */
/*                                                                           */
/*****************************************************************************/

class Ssortlib
{
public:
   static CHAR far *MSDOSweight( void );
};


