/*******************************************************************/
/*
  COPYRIGHT: (c) 1992@2000 by SP&AR&C HOLLAND by GNU Public Licence 
  FILE : sstring.h
  DESCRIPTION : sorted string class (definition)
  PROJECT : SSORT
  AUTOR : A vd Horst
  LANGUAGE : Turbo C++ (2.0)
  CREATED : 920906 AH
  LAST CHANGE : 950206 AH total clean up, configuration
  LAST CHANGE : 950131 AH zero also needed as an offset for first field
  LAST CHANGE : 950129 AH len made a pointer
  LAST CHANGE : 921105 AH Only unsigned char's
  LAST CHANGE : 920923 added << operator for streams
  LAST CHANGE :
*/

// requires
// #include "loctypes.h"
// #include "search.h"
// #include assert.h


class SortString
{

public:
   CHAR *start;         // Where does it start?
   int *plen;           // Point to ``Separators::maxfield+1'' int's
                        // ``plen[i]'' is the number of bytes in field 0..i-1
                        // ``plen[0]'' is 0 (the number of bytes in no field)
                        // together.

   // constructor
   SortString( ) {};
   SortString( CHAR *isstart, int *isplen );
   bool operator< ( SortString ss2  );

   ~SortString( ) {/* presumably superfluous */; };

private:

};

// This piece of code does not belong here,
// however otherwise the inlining does not work.
inline ostream& operator<<( ostream& dest, SortString ss )
{
    return dest.write(ss.start, ss.plen[Separators::maxfield] );
}


