/*******************************************************************/
/*
  COPYRIGHT: (c) 1992@2000 by SP&AR&C HOLLAND by GNU Public Licence 
  FILE : tstexpr.cpp
  DESCRIPTION : Test program for the pattern matching part
  PROJECT : SSORT
  AUTOR : A vd Horst
  LANGUAGE : Turbo C++ (3.0)
  CREATED : 921212 AH
  LAST CHANGE : 950206 AH total clean up, configuration
  LAST CHANGE : 941130 AH Created from tstexpr.cpp
                                                                   */
/*******************************************************************/
#include <fstream.h>
#include <stdio.h>
#include <ctype.h>
#include <process.h>    // for exit()

#define private public  /* To force ability to test */
#define DEBUG 1
#include "search.cpp"
char usage[]="no parameters needed";


void main( int argc, char **argv )
{
    CHAR *pos;

    char buf[1024];

    while ( cin.getline(buf,1024,'\n'), *buf )
    {
        Separators::initseparatorE( buf );
        cout<<"\nTesting: " << buf << "\n" ;
        Separators::decipherE();

        while ( cin.getline(buf,1024,'\n'), *buf )
        {
            cout<<"With string __" << buf << "__\n" ;
            char *pc;
            for (pc=buf; *pc; pc++ ) if (*pc=='!' ) *pc='\n';
            for ( int fieldcnt = Separators::maxfield; fieldcnt--; )
            {
                pos = Separators::findseparatorE(buf, strlen(buf) );
                if ( !pos )
                   cout<<"No separator found\n";
                else
                {
                    pc = buf;
                    cout<<"__";
                    while ( *pc )
                    {
                        if ( pc == pos ) cout << "$";
                        if ( '$'==*pc )
                           cout<<"\\$";
                        else
                           cout<<*pc;
                        pc += 1;
                    }
                    if ( pc == pos ) cout<<"$"; /* May be after the string */
                    cout<<"__\n";
                }
            }
        }
    }
    exit(0);
}
